#include <bits/stdc++.h>
using namespace std;

pair<double, int> pa[200005];

int main()
{
    cout << setprecision(15) << fixed;

    int n;
    cin >> n;
    for(int i = 0; i < n; ++i){
        cin >> pa[i].second >> pa[i].first;
    }
    sort(pa, pa + n);
    reverse(pa, pa + n);

    double maxMoney = 0;
    int curSum = 0;
    for(int i = 0; i < n; ++i){
        curSum += pa[i].second;
        maxMoney = max(maxMoney, 1.0 * curSum * pa[i].first / 100);
    }

    cout << maxMoney << "\n";
    return 0;
}